Perl5Debug (Jakarta-ORO 2.0.8 API)
Date: 2018-05-07

org.apache.oro.text.regex

## Class Perl5Debug

- java.lang.Object
- - org.apache.oro.text.regex.Perl5Debug

-     public final class Perl5Debug
      extends java.lang.Object

  The Perl5Debug class is not intended for general use and should not be instantiated, but is provided because some users may find the output of its single method to be useful. The Perl5Compiler class generates a representation of a regular expression identical to that of Perl5 in the abstract, but not in terms of actual data structures. The Perl5Debug class allows the bytecode program contained by a Perl5Pattern to be printed out for comparison with the program generated by Perl5 with the -r option.
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `Perl5Pattern`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `printProgram(Perl5Pattern regexp)` This method prints to a String the bytecode program contained in a Perl5Pattern._ The program byte codes are identical to those generated by Perl5 with the -r option, but the offsets are different due to the different data structures used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### printProgram

          public static java.lang.String printProgram(Perl5Pattern regexp)

      This method prints to a String the bytecode program contained in a Perl5Pattern._ The program byte codes are identical to those generated by Perl5 with the -r option, but the offsets are different due to the different data structures used. This method is useful for diagnosing suspected bugs. The Perl5Compiler class is designed to produce regular expression programs identical to those produced by Perl5. By comparing the output of this method and the output of Perl5 with the -r option on the same regular expression, you can determine if Perl5Compiler correctly compiled an expression.

      Parameters:
        `regexp` - The Perl5Pattern to print.
      Returns:
        A string representation of the bytecode program defining the regular expression.

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.